// DirectXHelpers.h: interface for the CDirectXHelpers class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_DIRECTXHELPERS_H__8B43BF67_D159_11D4_B687_004033A4E3E4__INCLUDED_)
#define AFX_DIRECTXHELPERS_H__8B43BF67_D159_11D4_B687_004033A4E3E4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifdef _WIN32_WCE
    #include "dsound.h"
    #include "ddraw.h"
    #include "dinput.h"
#else
    #include <dsound.h>
    #include <ddraw.h>
    #include <dinput.h>
#endif

extern "C"
{
HRESULT MyDirectSoundCreate(LPGUID pGuid,LPDIRECTSOUND *ppDirectSound, LPUNKNOWN pUnknown);
HRESULT MyDirectDrawCreate(LPGUID pGuid,LPDIRECTDRAW *ppDirectDraw, LPUNKNOWN pUnknown);
HRESULT MyDirectInputCreate(HINSTANCE hinst, DWORD dwVersion, LPDIRECTINPUT *ppDI, LPUNKNOWN punkOuter);

DWORD OpenWaveFile(WCHAR *wszFileName);
DWORD GetWaveData(WCHAR *wszFileName, WAVEFORMATEX *pWaveFormat,
                  BYTE **pbtChannel1, DWORD *pdwChannel1Length,
                  BYTE **pbtChannel2, DWORD *pdwChannel2Length);

}
//HACK need some cleanup routines to unload the library at shutdown


#endif // !defined(AFX_DIRECTXHELPERS_H__8B43BF67_D159_11D4_B687_004033A4E3E4__INCLUDED_)
